import asyncio

from v6d0auth.client import with_role

from v6d1tokens.client import request_token


async def main():
    print(await request_token('test'))
    await with_role('t3st')
    await with_role('token:te5t::tes7')
    print(await request_token('role:t3st::7est', 't3st'))
    print(await request_token('te5t', 'token:te5t::tes7'))


if __name__ == '__main__':
    asyncio.run(main())
